MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025026Open CASCADE[OCCT] OCCT:Codingpublic2014-06-19 18:102014-11-11 12:52
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025026: Visualization, Graphic3d_Plotter - remove unused class
DescriptionDead code should be eliminated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023663closedaba Removing 2D viewer library 

-  Notes
(0029835)
kgv (developer)
2014-06-19 18:17

Please check compilation of the patch in branch CR25026.
(0029837)
mkv (tester)
2014-06-20 10:10

Dear BugMaster,

Branch CR25026 (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 79dbfdae26d39b0ba6841b5f02abf072e9bf7068

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 200 (203 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

- Related Changesets
occt: master 2c5643b6
Timestamp: 2014-06-19 14:15:27
Author: kgv
Committer: apn
Details ] Diff ]
0025026: Visualization, Graphic3d_Plotter - remove unused class
mod - src/Aspect/Aspect.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_Plotter.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_Plotter.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-19 18:10 kgv New Issue
2014-06-19 18:10 kgv Assigned To => kgv
2014-06-19 18:10 kgv Relationship added related to 0023663
2014-06-19 18:10 kgv Status new => assigned
2014-06-19 18:10 kgv Product Version 6.7.1 => 6.6.0
2014-06-19 18:17 kgv Note Added: 0029835
2014-06-19 18:17 kgv Assigned To kgv => bugmaster
2014-06-19 18:17 kgv Severity integration request => trivial
2014-06-19 18:17 kgv Status assigned => resolved
2014-06-19 18:17 kgv Status resolved => reviewed
2014-06-19 18:43 mkv Assigned To bugmaster => mkv
2014-06-20 10:10 mkv Note Added: 0029837
2014-06-20 10:11 mkv Test case number => Not needed
2014-06-20 10:11 mkv Assigned To mkv => bugmaster
2014-06-20 10:11 mkv Status reviewed => tested
2014-06-27 16:27 apn Changeset attached => occt master 2c5643b6
2014-06-27 16:27 apn Assigned To bugmaster => apn
2014-06-27 16:27 apn Status tested => verified
2014-06-27 16:27 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker